/**
 * 
 */
package gov.va.med.esr.common.model.report;

import org.apache.commons.lang.Validate;

import gov.va.med.fw.model.lookup.Lookup;

import gov.va.med.esr.common.model.lookup.WkfCaseType;

/**
 * @author DNS   KATIKM
 *
 */
public class ReportWkfCaseType extends BaseReportLookupParameter {
	private static final long serialVersionUID = -2411072654793431793L;

    public void setLookup(Lookup lookup) {
		Validate.isTrue(lookup instanceof WkfCaseType	,"Incorrect lookup type.");
		super.setLookup(lookup);
	}
	public WkfCaseType getWkfCaseType() {
		return (WkfCaseType)getLookup();
	}
	
	public void setWkfCaseType(WkfCaseType wkfCaseType) {
		setLookup(wkfCaseType);
	}
}
